diff --git a/drupal7/modules/simpletest/tests/url_alter_test.info b/drupal7/modules/simpletest/tests/url_alter_test.info
index b2363869..3afc9f49 100644
--- a/drupal7/modules/simpletest/tests/url_alter_test.info
+++ b/drupal7/modules/simpletest/tests/url_alter_test.info
@@ -5,8 +5,8 @@ package = Testing
 version = VERSION
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-10-15
-version = "7.32"
+; Information added by Drupal.org packaging script on 2014-11-07
+version = "7.33"
 project = "drupal"
-datestamp = "1413387510"
+datestamp = "1415375131"
 
diff --git a/drupal7/modules/simpletest/tests/xmlrpc_test.info b/drupal7/modules/simpletest/tests/xmlrpc_test.info
index eadcd28a..28567942 100644
--- a/drupal7/modules/simpletest/tests/xmlrpc_test.info
+++ b/drupal7/modules/simpletest/tests/xmlrpc_test.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-10-15
-version = "7.32"
+; Information added by Drupal.org packaging script on 2014-11-07
+version = "7.33"
 project = "drupal"
-datestamp = "1413387510"
+datestamp = "1415375131"
 
diff --git a/drupal7/modules/statistics/statistics.admin.inc b/drupal7/modules/statistics/statistics.admin.inc
index 71e64aa5..e83a115f 100644
--- a/drupal7/modules/statistics/statistics.admin.inc
+++ b/drupal7/modules/statistics/statistics.admin.inc
@@ -137,7 +137,8 @@ function statistics_top_visitors() {
     ->groupBy('u.name')
     ->groupBy('bl.iid')
     ->limit(30)
-    ->orderByHeader($header);
+    ->orderByHeader($header)
+    ->orderBy('a.hostname');
 
   $uniques_query = db_select('accesslog')->distinct();
   $uniques_query->fields('accesslog', array('uid', 'hostname'));
diff --git a/drupal7/modules/statistics/statistics.info b/drupal7/modules/statistics/statistics.info
index 83101583..8bf97ff4 100644
--- a/drupal7/modules/statistics/statistics.info
+++ b/drupal7/modules/statistics/statistics.info
@@ -6,8 +6,8 @@ core = 7.x
 files[] = statistics.test
 configure = admin/config/system/statistics
 
-; Information added by Drupal.org packaging script on 2014-10-15
-version = "7.32"
+; Information added by Drupal.org packaging script on 2014-11-07
+version = "7.33"
 project = "drupal"
-datestamp = "1413387510"
+datestamp = "1415375131"
 
diff --git a/drupal7/modules/syslog/syslog.info b/drupal7/modules/syslog/syslog.info
index feb8a668..8c11c5e9 100644
--- a/drupal7/modules/syslog/syslog.info
+++ b/drupal7/modules/syslog/syslog.info
@@ -6,8 +6,8 @@ core = 7.x
 files[] = syslog.test
 configure = admin/config/development/logging
 
-; Information added by Drupal.org packaging script on 2014-10-15
-version = "7.32"
+; Information added by Drupal.org packaging script on 2014-11-07
+version = "7.33"
 project = "drupal"
-datestamp = "1413387510"
+datestamp = "1415375131"
 
diff --git a/drupal7/modules/system/system.admin.inc b/drupal7/modules/system/system.admin.inc
index b6f67890..22c202c3 100644
--- a/drupal7/modules/system/system.admin.inc
+++ b/drupal7/modules/system/system.admin.inc
@@ -640,13 +640,13 @@ function system_theme_settings_validate($form, &$form_state) {
 
   // If the user provided a path for a logo or favicon file, make sure a file
   // exists at that path.
-  if ($form_state['values']['logo_path']) {
+  if (!empty($form_state['values']['logo_path'])) {
     $path = _system_theme_settings_validate_path($form_state['values']['logo_path']);
     if (!$path) {
       form_set_error('logo_path', t('The custom logo path is invalid.'));
     }
   }
-  if ($form_state['values']['favicon_path']) {
+  if (!empty($form_state['values']['favicon_path'])) {
     $path = _system_theme_settings_validate_path($form_state['values']['favicon_path']);
     if (!$path) {
       form_set_error('favicon_path', t('The custom favicon path is invalid.'));
@@ -703,14 +703,16 @@ function system_theme_settings_submit($form, &$form_state) {
 
   // If the user uploaded a new logo or favicon, save it to a permanent location
   // and use it in place of the default theme-provided file.
-  if ($file = $values['logo_upload']) {
+  if (!empty($values['logo_upload'])) {
+    $file = $values['logo_upload'];
     unset($values['logo_upload']);
     $filename = file_unmanaged_copy($file->uri);
     $values['default_logo'] = 0;
     $values['logo_path'] = $filename;
     $values['toggle_logo'] = 1;
   }
-  if ($file = $values['favicon_upload']) {
+  if (!empty($values['favicon_upload'])) {
+    $file = $values['favicon_upload'];
     unset($values['favicon_upload']);
     $filename = file_unmanaged_copy($file->uri);
     $values['default_favicon'] = 0;
diff --git a/drupal7/modules/system/system.api.php b/drupal7/modules/system/system.api.php
index 22175b13..b60f50de 100644
--- a/drupal7/modules/system/system.api.php
+++ b/drupal7/modules/system/system.api.php
@@ -247,7 +247,7 @@ function hook_entity_info() {
         'custom settings' => FALSE,
       ),
       'search_result' => array(
-        'label' => t('Search result'),
+        'label' => t('Search result highlighting input'),
         'custom settings' => FALSE,
       ),
     );
diff --git a/drupal7/modules/system/system.info b/drupal7/modules/system/system.info
index aff552e1..f0b92a5d 100644
--- a/drupal7/modules/system/system.info
+++ b/drupal7/modules/system/system.info
@@ -12,8 +12,8 @@ files[] = system.test
 required = TRUE
 configure = admin/config/system
 
-; Information added by Drupal.org packaging script on 2014-10-15
-version = "7.32"
+; Information added by Drupal.org packaging script on 2014-11-07
+version = "7.33"
 project = "drupal"
-datestamp = "1413387510"
+datestamp = "1415375131"
 
diff --git a/drupal7/modules/system/system.module b/drupal7/modules/system/system.module
index 18d8a887..a2749357 100644
--- a/drupal7/modules/system/system.module
+++ b/drupal7/modules/system/system.module
@@ -2399,6 +2399,10 @@ function _system_rebuild_module_data() {
       continue;
     }
 
+    // Add the info file modification time, so it becomes available for
+    // contributed modules to use for ordering module lists.
+    $module->info['mtime'] = filemtime(dirname($module->uri) . '/' . $module->name . '.info');
+
     // Merge in defaults and save.
     $modules[$key]->info = $module->info + $defaults;
 
@@ -2537,6 +2541,10 @@ function _system_rebuild_theme_data() {
     $themes[$key]->filename = $theme->uri;
     $themes[$key]->info = drupal_parse_info_file($theme->uri) + $defaults;
 
+    // Add the info file modification time, so it becomes available for
+    // contributed modules to use for ordering theme lists.
+    $themes[$key]->info['mtime'] = filemtime($theme->uri);
+
     // Invoke hook_system_info_alter() to give installed modules a chance to
     // modify the data in the .info files if necessary.
     $type = 'theme';
@@ -3386,7 +3394,7 @@ function system_timezone($abbreviation = '', $offset = -1, $is_daylight_saving_t
  * @ingroup themeable
  */
 function theme_system_powered_by() {
-  return '<span>' . t('Powered by <a href="@poweredby">Drupal</a>', array('@poweredby' => 'http://drupal.org')) . '</span>';
+  return '<span>' . t('Powered by <a href="@poweredby">Drupal</a>', array('@poweredby' => 'https://www.drupal.org')) . '</span>';
 }
 
 /**
diff --git a/drupal7/modules/system/system.test b/drupal7/modules/system/system.test
index cae5cc78..aefbfbc4 100644
--- a/drupal7/modules/system/system.test
+++ b/drupal7/modules/system/system.test
@@ -556,6 +556,34 @@ class ModuleDependencyTestCase extends ModuleTestCase {
     $this->drupalPost(NULL, NULL, t('Uninstall'));
     $this->assertText(t('The selected modules have been uninstalled.'), 'Modules status has been updated.');
   }
+
+  /**
+   * Tests whether the correct module metadata is returned.
+   */
+  function testModuleMetaData() {
+    // Generate the list of available modules.
+    $modules = system_rebuild_module_data();
+    // Check that the mtime field exists for the system module.
+    $this->assertTrue(!empty($modules['system']->info['mtime']), 'The system.info file modification time field is present.');
+    // Use 0 if mtime isn't present, to avoid an array index notice.
+    $test_mtime = !empty($modules['system']->info['mtime']) ? $modules['system']->info['mtime'] : 0;
+    // Ensure the mtime field contains a number that is greater than zero.
+    $this->assertTrue(is_numeric($test_mtime) && ($test_mtime > 0), 'The system.info file modification time field contains a timestamp.');
+  }
+
+  /**
+   * Tests whether the correct theme metadata is returned.
+   */
+  function testThemeMetaData() {
+    // Generate the list of available themes.
+    $themes = system_rebuild_theme_data();
+    // Check that the mtime field exists for the bartik theme.
+    $this->assertTrue(!empty($themes['bartik']->info['mtime']), 'The bartik.info file modification time field is present.');
+    // Use 0 if mtime isn't present, to avoid an array index notice.
+    $test_mtime = !empty($themes['bartik']->info['mtime']) ? $themes['bartik']->info['mtime'] : 0;
+    // Ensure the mtime field contains a number that is greater than zero.
+    $this->assertTrue(is_numeric($test_mtime) && ($test_mtime > 0), 'The bartik.info file modification time field contains a timestamp.');
+  }
 }
 
 /**
diff --git a/drupal7/modules/system/tests/cron_queue_test.info b/drupal7/modules/system/tests/cron_queue_test.info
index 43cd6293..4fd1bd8b 100644
--- a/drupal7/modules/system/tests/cron_queue_test.info
+++ b/drupal7/modules/system/tests/cron_queue_test.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-10-15
-version = "7.32"
+; Information added by Drupal.org packaging script on 2014-11-07
+version = "7.33"
 project = "drupal"
-datestamp = "1413387510"
+datestamp = "1415375131"
 
diff --git a/drupal7/modules/taxonomy/taxonomy.info b/drupal7/modules/taxonomy/taxonomy.info
index 13ddbc0d..00948dd0 100644
--- a/drupal7/modules/taxonomy/taxonomy.info
+++ b/drupal7/modules/taxonomy/taxonomy.info
@@ -8,8 +8,8 @@ files[] = taxonomy.module
 files[] = taxonomy.test
 configure = admin/structure/taxonomy
 
-; Information added by Drupal.org packaging script on 2014-10-15
-version = "7.32"
+; Information added by Drupal.org packaging script on 2014-11-07
+version = "7.33"
 project = "drupal"
-datestamp = "1413387510"
+datestamp = "1415375131"
 
diff --git a/drupal7/modules/taxonomy/taxonomy.module b/drupal7/modules/taxonomy/taxonomy.module
index 4191146a..e147c1ca 100644
--- a/drupal7/modules/taxonomy/taxonomy.module
+++ b/drupal7/modules/taxonomy/taxonomy.module
@@ -776,15 +776,26 @@ function taxonomy_term_show($term) {
  *   An array in the format expected by drupal_render().
  */
 function taxonomy_term_view_multiple($terms, $view_mode = 'teaser', $weight = 0, $langcode = NULL) {
-  field_attach_prepare_view('taxonomy_term', $terms, $view_mode, $langcode);
-  entity_prepare_view('taxonomy_term', $terms, $langcode);
   $build = array();
+  $entities_by_view_mode = entity_view_mode_prepare('taxonomy_term', $terms, $view_mode, $langcode);
+  foreach ($entities_by_view_mode as $entity_view_mode => $entities) {
+    field_attach_prepare_view('taxonomy_term', $entities, $entity_view_mode, $langcode);
+    entity_prepare_view('taxonomy_term', $entities, $langcode);
+
+    foreach ($entities as $entity) {
+      $build['taxonomy_terms'][$entity->tid] = taxonomy_term_view($entity, $entity_view_mode, $langcode);
+    }
+  }
+
   foreach ($terms as $term) {
-    $build['taxonomy_terms'][$term->tid] = taxonomy_term_view($term, $view_mode, $langcode);
     $build['taxonomy_terms'][$term->tid]['#weight'] = $weight;
     $weight++;
   }
+  // Sort here, to preserve the input order of the entities that were passed to
+  // this function.
+  uasort($build['taxonomy_terms'], 'element_sort');
   $build['taxonomy_terms']['#sorted'] = TRUE;
+
   return $build;
 }
 
@@ -817,12 +828,7 @@ function taxonomy_term_build_content($term, $view_mode = 'full', $langcode = NUL
   $term->content = array();
 
   // Allow modules to change the view mode.
-  $context = array(
-    'entity_type' => 'taxonomy_term',
-    'entity' => $term,
-    'langcode' => $langcode,
-  );
-  drupal_alter('entity_view_mode', $view_mode, $context);
+  $view_mode = key(entity_view_mode_prepare('taxonomy_term', array($term->tid => $term), $view_mode, $langcode));
 
   // Add the term description if the term has one and it is visible.
   $type = 'taxonomy_term';
diff --git a/drupal7/modules/toolbar/toolbar.info b/drupal7/modules/toolbar/toolbar.info
index 1e341b4b..48adb661 100644
--- a/drupal7/modules/toolbar/toolbar.info
+++ b/drupal7/modules/toolbar/toolbar.info
@@ -4,8 +4,8 @@ core = 7.x
 package = Core
 version = VERSION
 
-; Information added by Drupal.org packaging script on 2014-10-15
-version = "7.32"
+; Information added by Drupal.org packaging script on 2014-11-07
+version = "7.33"
 project = "drupal"
-datestamp = "1413387510"
+datestamp = "1415375131"
 
diff --git a/drupal7/modules/tracker/tracker.info b/drupal7/modules/tracker/tracker.info
index 2c5eff51..5a5b5390 100644
--- a/drupal7/modules/tracker/tracker.info
+++ b/drupal7/modules/tracker/tracker.info
@@ -6,8 +6,8 @@ version = VERSION
 core = 7.x
 files[] = tracker.test
 
-; Information added by Drupal.org packaging script on 2014-10-15
-version = "7.32"
+; Information added by Drupal.org packaging script on 2014-11-07
+version = "7.33"
 project = "drupal"
-datestamp = "1413387510"
+datestamp = "1415375131"
 
diff --git a/drupal7/modules/tracker/tracker.module b/drupal7/modules/tracker/tracker.module
index 8694222d..ab3e7485 100644
--- a/drupal7/modules/tracker/tracker.module
+++ b/drupal7/modules/tracker/tracker.module
@@ -263,7 +263,7 @@ function _tracker_add($nid, $uid, $changed) {
     ))
     ->execute();
 
-  // Create or update the user-level data.
+  // Create or update the user-level data, first for the user posting.
   db_merge('tracker_user')
     ->key(array(
       'nid' => $nid,
@@ -274,6 +274,14 @@ function _tracker_add($nid, $uid, $changed) {
       'published' => $node->status,
     ))
     ->execute();
+  // Update the times for all the other users tracking the post.
+  db_update('tracker_user')
+    ->condition('nid', $nid)
+    ->fields(array(
+      'changed' => $changed,
+      'published' => $node->status,
+    ))
+    ->execute();
 }
 
 /**
diff --git a/drupal7/modules/tracker/tracker.test b/drupal7/modules/tracker/tracker.test
index 66ebb848..8a48ea81 100644
--- a/drupal7/modules/tracker/tracker.test
+++ b/drupal7/modules/tracker/tracker.test
@@ -182,6 +182,72 @@ class TrackerTest extends DrupalWebTestCase {
     $this->assertText('1 new', 'New comments are counted on the tracker listing pages.');
   }
 
+  /**
+   * Tests for ordering on a users tracker listing when comments are posted.
+   */
+  function testTrackerOrderingNewComments() {
+    $this->drupalLogin($this->user);
+
+    $node_one = $this->drupalCreateNode(array(
+      'title' => $this->randomName(8),
+    ));
+
+    $node_two = $this->drupalCreateNode(array(
+      'title' => $this->randomName(8),
+    ));
+
+    // Now get other_user to track these pieces of content.
+    $this->drupalLogin($this->other_user);
+
+    // Add a comment to the first page.
+    $comment = array(
+      'subject' => $this->randomName(),
+      'comment_body[' . LANGUAGE_NONE . '][0][value]' => $this->randomName(20),
+    );
+    $this->drupalPost('comment/reply/' . $node_one->nid, $comment, t('Save'));
+
+    // If the comment is posted in the same second as the last one then Drupal
+    // can't tell the difference, so we wait one second here.
+    sleep(1);
+
+    // Add a comment to the second page.
+    $comment = array(
+      'subject' => $this->randomName(),
+      'comment_body[' . LANGUAGE_NONE . '][0][value]' => $this->randomName(20),
+    );
+    $this->drupalPost('comment/reply/' . $node_two->nid, $comment, t('Save'));
+
+    // We should at this point have in our tracker for other_user:
+    // 1. node_two
+    // 2. node_one
+    // Because that's the reverse order of the posted comments.
+
+    // Now we're going to post a comment to node_one which should jump it to the
+    // top of the list.
+
+    $this->drupalLogin($this->user);
+    // If the comment is posted in the same second as the last one then Drupal
+    // can't tell the difference, so we wait one second here.
+    sleep(1);
+
+    // Add a comment to the second page.
+    $comment = array(
+      'subject' => $this->randomName(),
+      'comment_body[' . LANGUAGE_NONE . '][0][value]' => $this->randomName(20),
+    );
+    $this->drupalPost('comment/reply/' . $node_one->nid, $comment, t('Save'));
+
+    // Switch back to the other_user and assert that the order has swapped.
+    $this->drupalLogin($this->other_user);
+    $this->drupalGet('user/' . $this->other_user->uid . '/track');
+    // This is a cheeky way of asserting that the nodes are in the right order
+    // on the tracker page.
+    // It's almost certainly too brittle.
+    $pattern = '/' . preg_quote($node_one->title) . '.+' . preg_quote($node_two->title) . '/s';
+    $this->verbose($pattern);
+    $this->assertPattern($pattern, 'Most recently commented on node appears at the top of tracker');
+  }
+
   /**
    * Tests that existing nodes are indexed by cron.
    */
diff --git a/drupal7/modules/translation/tests/translation_test.info b/drupal7/modules/translation/tests/translation_test.info
index 2123d56d..921bcf61 100644
--- a/drupal7/modules/translation/tests/translation_test.info
+++ b/drupal7/modules/translation/tests/translation_test.info
@@ -5,8 +5,8 @@ package = Testing
 version = VERSION
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-10-15
-version = "7.32"
+; Information added by Drupal.org packaging script on 2014-11-07
+version = "7.33"
 project = "drupal"
-datestamp = "1413387510"
+datestamp = "1415375131"
 
diff --git a/drupal7/modules/translation/translation.info b/drupal7/modules/translation/translation.info
index e532090a..f5521f72 100644
--- a/drupal7/modules/translation/translation.info
+++ b/drupal7/modules/translation/translation.info
@@ -6,8 +6,8 @@ version = VERSION
 core = 7.x
 files[] = translation.test
 
-; Information added by Drupal.org packaging script on 2014-10-15
-version = "7.32"
+; Information added by Drupal.org packaging script on 2014-11-07
+version = "7.33"
 project = "drupal"
-datestamp = "1413387510"
+datestamp = "1415375131"
 
diff --git a/drupal7/modules/translation/translation.module b/drupal7/modules/translation/translation.module
index 33123570..53c4641e 100644
--- a/drupal7/modules/translation/translation.module
+++ b/drupal7/modules/translation/translation.module
@@ -336,9 +336,13 @@ function translation_node_insert($node) {
             'tnid' => $tnid,
             'translate' => 0,
           ))
-          ->condition('nid', $node->translation_source->nid)
+          ->condition('nid', $tnid)
           ->execute();
+
+        // Flush the (untranslated) source node from the load cache.
+        entity_get_controller('node')->resetCache(array($tnid));
       }
+
       db_update('node')
         ->fields(array(
           'tnid' => $tnid,
@@ -368,13 +372,23 @@ function translation_node_update($node) {
         ))
         ->condition('nid', $node->nid)
         ->execute();
+
       if (!empty($node->translation['retranslate'])) {
         // This is the source node, asking to mark all translations outdated.
-        db_update('node')
-          ->fields(array('translate' => 1))
+        $translations = db_select('node', 'n')
+          ->fields('n', array('nid'))
           ->condition('nid', $node->nid, '<>')
           ->condition('tnid', $node->tnid)
+          ->execute()
+          ->fetchCol();
+
+        db_update('node')
+          ->fields(array('translate' => 1))
+          ->condition('nid', $translations, 'IN')
           ->execute();
+
+        // Flush the modified translation nodes from the load cache.
+        entity_get_controller('node')->resetCache($translations);
       }
     }
   }
@@ -420,11 +434,16 @@ function translation_remove_from_set($node) {
         'tnid' => 0,
         'translate' => 0,
       ));
-    if (db_query('SELECT COUNT(*) FROM {node} WHERE tnid = :tnid', array(':tnid' => $node->tnid))->fetchField() == 1) {
+
+    // Determine which nodes to apply the update to.
+    $set_nids = db_query('SELECT nid FROM {node} WHERE tnid = :tnid', array(':tnid' => $node->tnid))->fetchCol();
+    if (count($set_nids) == 1) {
       // There is only one node left in the set: remove the set altogether.
       $query
         ->condition('tnid', $node->tnid)
         ->execute();
+
+      $flush_set = TRUE;
     }
     else {
       $query
@@ -439,8 +458,14 @@ function translation_remove_from_set($node) {
           ->fields(array('tnid' => $new_tnid))
           ->condition('tnid', $node->tnid)
           ->execute();
+
+        $flush_set = TRUE;
       }
     }
+
+    // Flush the modified nodes from the load cache.
+    $nids = !empty($flush_set) ? $set_nids : array($node->nid);
+    entity_get_controller('node')->resetCache($nids);
   }
 }
 
diff --git a/drupal7/modules/trigger/tests/trigger_test.info b/drupal7/modules/trigger/tests/trigger_test.info
index 250c78f1..93b41349 100644
--- a/drupal7/modules/trigger/tests/trigger_test.info
+++ b/drupal7/modules/trigger/tests/trigger_test.info
@@ -4,8 +4,8 @@ package = Testing
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-10-15
-version = "7.32"
+; Information added by Drupal.org packaging script on 2014-11-07
+version = "7.33"
 project = "drupal"
-datestamp = "1413387510"
+datestamp = "1415375131"
 
diff --git a/drupal7/modules/trigger/trigger.info b/drupal7/modules/trigger/trigger.info
index 2a5f54c7..e717ee09 100644
--- a/drupal7/modules/trigger/trigger.info
+++ b/drupal7/modules/trigger/trigger.info
@@ -6,8 +6,8 @@ core = 7.x
 files[] = trigger.test
 configure = admin/structure/trigger
 
-; Information added by Drupal.org packaging script on 2014-10-15
-version = "7.32"
+; Information added by Drupal.org packaging script on 2014-11-07
+version = "7.33"
 project = "drupal"
-datestamp = "1413387510"
+datestamp = "1415375131"
 
diff --git a/drupal7/modules/update/tests/aaa_update_test.info b/drupal7/modules/update/tests/aaa_update_test.info
index ac17038a..a016f415 100644
--- a/drupal7/modules/update/tests/aaa_update_test.info
+++ b/drupal7/modules/update/tests/aaa_update_test.info
@@ -4,8 +4,8 @@ package = Testing
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-10-15
-version = "7.32"
+; Information added by Drupal.org packaging script on 2014-11-07
+version = "7.33"
 project = "drupal"
-datestamp = "1413387510"
+datestamp = "1415375131"
 
diff --git a/drupal7/modules/update/tests/bbb_update_test.info b/drupal7/modules/update/tests/bbb_update_test.info
index 9730b8d6..47ab5b5b 100644
--- a/drupal7/modules/update/tests/bbb_update_test.info
+++ b/drupal7/modules/update/tests/bbb_update_test.info
@@ -4,8 +4,8 @@ package = Testing
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-10-15
-version = "7.32"
+; Information added by Drupal.org packaging script on 2014-11-07
+version = "7.33"
 project = "drupal"
-datestamp = "1413387510"
+datestamp = "1415375131"
 
diff --git a/drupal7/modules/update/tests/ccc_update_test.info b/drupal7/modules/update/tests/ccc_update_test.info
index 77bacd15..ee64603b 100644
--- a/drupal7/modules/update/tests/ccc_update_test.info
+++ b/drupal7/modules/update/tests/ccc_update_test.info
@@ -4,8 +4,8 @@ package = Testing
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-10-15
-version = "7.32"
+; Information added by Drupal.org packaging script on 2014-11-07
+version = "7.33"
 project = "drupal"
-datestamp = "1413387510"
+datestamp = "1415375131"
 
diff --git a/drupal7/modules/update/tests/themes/update_test_basetheme/update_test_basetheme.info b/drupal7/modules/update/tests/themes/update_test_basetheme/update_test_basetheme.info
index 3325a325..b47dd4cc 100644
--- a/drupal7/modules/update/tests/themes/update_test_basetheme/update_test_basetheme.info
+++ b/drupal7/modules/update/tests/themes/update_test_basetheme/update_test_basetheme.info
@@ -3,8 +3,8 @@ description = Test theme which acts as a base theme for other test subthemes.
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-10-15
-version = "7.32"
+; Information added by Drupal.org packaging script on 2014-11-07
+version = "7.33"
 project = "drupal"
-datestamp = "1413387510"
+datestamp = "1415375131"
 
diff --git a/drupal7/modules/update/tests/themes/update_test_subtheme/update_test_subtheme.info b/drupal7/modules/update/tests/themes/update_test_subtheme/update_test_subtheme.info
index 19e5c895..9f8ea0e8 100644
--- a/drupal7/modules/update/tests/themes/update_test_subtheme/update_test_subtheme.info
+++ b/drupal7/modules/update/tests/themes/update_test_subtheme/update_test_subtheme.info
@@ -4,8 +4,8 @@ core = 7.x
 base theme = update_test_basetheme
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-10-15
-version = "7.32"
+; Information added by Drupal.org packaging script on 2014-11-07
+version = "7.33"
 project = "drupal"
-datestamp = "1413387510"
+datestamp = "1415375131"
 
diff --git a/drupal7/modules/update/tests/update_test.info b/drupal7/modules/update/tests/update_test.info
index 574e82c7..d53cc3cc 100644
--- a/drupal7/modules/update/tests/update_test.info
+++ b/drupal7/modules/update/tests/update_test.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-10-15
-version = "7.32"
+; Information added by Drupal.org packaging script on 2014-11-07
+version = "7.33"
 project = "drupal"
-datestamp = "1413387510"
+datestamp = "1415375131"
 
diff --git a/drupal7/modules/update/update.compare.inc b/drupal7/modules/update/update.compare.inc
index 6e0c5fee..072a0daa 100644
--- a/drupal7/modules/update/update.compare.inc
+++ b/drupal7/modules/update/update.compare.inc
@@ -417,14 +417,15 @@ function update_calculate_project_data($available) {
  * version (e.g., 5.x-1.5-beta1, 5.x-1.5-beta2, and 5.x-1.5). Development
  * snapshots for a given major version are always listed last.
  *
- * @param $project
- *   An array containing information about a specific project.
+ * @param $unused
+ *   Input is not being used, but remains in function for API compatibility
+ *   reasons.
  * @param $project_data
  *   An array containing information about a specific project.
  * @param $available
  *   Data about available project releases of a specific project.
  */
-function update_calculate_project_update_status($project, &$project_data, $available) {
+function update_calculate_project_update_status($unused, &$project_data, $available) {
   foreach (array('title', 'link') as $attribute) {
     if (!isset($project_data[$attribute]) && isset($available[$attribute])) {
       $project_data[$attribute] = $available[$attribute];
diff --git a/drupal7/modules/update/update.info b/drupal7/modules/update/update.info
index 1f00015d..20c3b0e3 100644
--- a/drupal7/modules/update/update.info
+++ b/drupal7/modules/update/update.info
@@ -6,8 +6,8 @@ core = 7.x
 files[] = update.test
 configure = admin/reports/updates/settings
 
-; Information added by Drupal.org packaging script on 2014-10-15
-version = "7.32"
+; Information added by Drupal.org packaging script on 2014-11-07
+version = "7.33"
 project = "drupal"
-datestamp = "1413387510"
+datestamp = "1415375131"
 
diff --git a/drupal7/modules/user/tests/user_form_test.info b/drupal7/modules/user/tests/user_form_test.info
index 07049d34..f0ea4a6b 100644
--- a/drupal7/modules/user/tests/user_form_test.info
+++ b/drupal7/modules/user/tests/user_form_test.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-10-15
-version = "7.32"
+; Information added by Drupal.org packaging script on 2014-11-07
+version = "7.33"
 project = "drupal"
-datestamp = "1413387510"
+datestamp = "1415375131"
 
diff --git a/drupal7/modules/user/user.api.php b/drupal7/modules/user/user.api.php
index 3afc88ab..e88c7a97 100644
--- a/drupal7/modules/user/user.api.php
+++ b/drupal7/modules/user/user.api.php
@@ -386,7 +386,7 @@ function hook_user_view_alter(&$build) {
 }
 
 /**
- * Inform other modules that a user role is about to be saved.
+ * Act on a user role being inserted or updated.
  *
  * Modules implementing this hook can act on the user role object before
  * it has been saved to the database.
@@ -405,7 +405,7 @@ function hook_user_role_presave($role) {
 }
 
 /**
- * Inform other modules that a user role has been added.
+ * Respond to creation of a new user role.
  *
  * Modules implementing this hook can act on the user role object when saved to
  * the database. It's recommended that you implement this hook if your module
@@ -426,7 +426,7 @@ function hook_user_role_insert($role) {
 }
 
 /**
- * Inform other modules that a user role has been updated.
+ * Respond to updates to a user role.
  *
  * Modules implementing this hook can act on the user role object when updated.
  * It's recommended that you implement this hook if your module adds additional
@@ -447,7 +447,7 @@ function hook_user_role_update($role) {
 }
 
 /**
- * Inform other modules that a user role has been deleted.
+ * Respond to user role deletion.
  *
  * This hook allows you act when a user role has been deleted.
  * If your module stores references to roles, it's recommended that you
diff --git a/drupal7/modules/user/user.info b/drupal7/modules/user/user.info
index 3f72643e..0d65345c 100644
--- a/drupal7/modules/user/user.info
+++ b/drupal7/modules/user/user.info
@@ -9,8 +9,8 @@ required = TRUE
 configure = admin/config/people
 stylesheets[all][] = user.css
 
-; Information added by Drupal.org packaging script on 2014-10-15
-version = "7.32"
+; Information added by Drupal.org packaging script on 2014-11-07
+version = "7.33"
 project = "drupal"
-datestamp = "1413387510"
+datestamp = "1415375131"
 
